Skip to main content
PATCH
/
tracking_requests
/
{tracking_request_id}
/
custom_fields
/
{api_slug}
Update a tracking request custom field
curl --request PATCH \
  --url https://api.terminal49.com/v2/tracking_requests/{tracking_request_id}/custom_fields/{api_slug} \
  --header 'Authorization: <api-key>' \
  --header 'Content-Type: application/json' \
  --data '{}'
{
  "data": {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "type": "custom_field",
    "attributes": {
      "api_slug": "<string>",
      "value": "<string>",
      "display_value": "<string>"
    },
    "relationships": {
      "entity": {
        "data": {
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      },
      "definition": {
        "data": {
          "type": "custom_field_definition",
          "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
        }
      }
    }
  },
  "links": {
    "self": "<string>"
  }
}
Updates a specific custom field on a tracking request by its api_slug.

Path parameters

ParameterRequiredDescription
tracking_request_idYesThe ID of the tracking request
api_slugYesThe api_slug of the custom field definition

Request body

ParameterRequiredDescription
valueYesThe new value to set

Authorization

Requires update permission on the tracking request.

Response

Returns 200 OK with the updated custom field resource on success.

Authorizations

Authorization
string
header
required

Use a Terminal49 API key in the Authorization header with the Token prefix.

Authorization: Token YOUR_API_KEY

Path Parameters

tracking_request_id
string
required

Tracking request ID

api_slug
string
required

Custom field api_slug

Body

application/json
data
object

Response

200 - application/json

OK

data
Custom field · object